# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'das_profiler/middleware/version'

Gem::Specification.new do |spec|
  spec.name          = 'das_profiler-middleware'
  spec.version       = DasProfiler::Middleware::VERSION
  spec.authors       = ['Alex Scarborough']
  spec.email         = ['alex@teak.io']

  spec.summary       = %(Continuous performance monitoring for Rack applications)
  spec.description   = %(DasProfiler helps developers understand the real performance of their Rack applications by profiling requests with StackProf and aggregating traces across production traffic.)
  spec.homepage      = 'https://github.com/AlexSc/das_profiler-middleware'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'aws-sdk-firehose', '~> 1.0'
  spec.add_dependency 'stackprof', '~> 0.2'

  spec.add_development_dependency 'bundler', '~> 2.1'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'reek', '~> 5.6'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.79'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.38'
  spec.add_development_dependency 'yard', '~> 0.9'
end
